FROM quay.io/operator-framework/ansible-operator:v1.7.2

USER root
RUN pip install PyMySQL && \
    pip3 install PyMySQL

COPY requirements.yml ${HOME}/requirements.yml
RUN ansible-galaxy collection install -r ${HOME}/requirements.yml \
 && chmod -R ug+rwx ${HOME}/.ansible

COPY watches.yaml ${HOME}/watches.yaml
COPY roles/ ${HOME}/roles/
